Retrieve Claim Timeline
Retrieve a paginated list of a claim's timeline entries, newest first. Timeline entries include submissions, acknowledgments, and claim payment information
/claims/{id}/timelineRetrieve a paginated history of a claim's timeline entries including submissions, 277CA claim acknowledgments, and claim payment information from Electronic Remittance Advice (ERAs).
Use this endpoint when you need to view the complete lifecycle of a claim.
-
Call this endpoint with the claim ID. You can retrieve this ID from:
- The
claimIdproperty in the Create Professional Claim JSON endpoint response. Other claim submission endpoints don't return this property. - The
items.idproperty in the List Claims endpoint response. - A claim's details page in the claims view.
- The
-
Stedi returns a paginated list of timeline entries, ordered by most recent first.
A production Stedi API Key for authentication.
Path Parameters
^(clm_)?[0-7][0-9A-HJKMNP-TV-Z]{25}$A unique identifier for the claim within Stedi. You can retrieve this ID from the claimId property in a claim submission response or from the list claims endpoint.
Query Parameters
The maximum number of timeline entries to return per page. Defaults to 100.
The nextPageToken from a previous call to this operation. If not specified, Stedi returns the first page of results.
Response
Timeline entries for the claim, newest first, including submissions, acknowledgments, and claim payment information.
Token you can supply in subsequent requests to retrieve the next page of results. If absent, there are no more results.
curl --request GET \ --url "https://claims.us.stedi.com/2025-03-07/claims/{id}/timeline?pageSize=100" \ --header "Authorization: <api_key>"{
"items": [
{
"claimPaymentInformation": {
"checkOrEftTraceNumber": "TRN123456789",
"claimPaymentAmount": "200.00",
"id": "clp_01K6XFP3TZ8RA9X84963NMW43R",
"patientResponsibilityAmount": "50.00",
"processedAt": "2026-01-16T10:00:00Z",
"statusCode": "PROCESSED_AS_PRIMARY",
"totalClaimChargeAmount": "250.00"
}
},
{
"claimAcknowledgment": {
"id": "ack_01K6XFP3TZ8RA9X84963NMW42Q",
"processedAt": "2026-01-08T09:30:00Z",
"reportedBy": "PAYER",
"sourceName": "ACME INSURANCE",
"status": "ACCEPTED"
}
},
{
"professionalClaimSubmission": {
"datesOfService": {
"start": "2026-01-05"
},
"id": "sbm_01K6XFP3TZ8RA9X84963NMW41P",
"patientControlNumber": "123456",
"patientName": {
"firstName": "John",
"lastName": "Doe",
"middleName": "Michael",
"suffix": "Jr"
},
"processedAt": "2026-01-07T15:12:45Z",
"stediPayerId": "ABCDE",
"totalClaimChargeAmount": "250.00"
}
}
],
"nextPageToken": "eyJsYXN0SWQiOiIwMUs2WEZQMyJ9"
}